com.holonplatform.core.property

## Class Property.PropertyAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.property.Property.PropertyAccessException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException, PropertyValueConverter.PropertyConversionException
  Enclosing interface:
    Property<T>

      public abstract static class Property.PropertyAccessException
      extends RuntimeException

  Base exception class to all `Property` related exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyAccessException(Property<?> property)` Default constructor
    `PropertyAccessException(Property<?> property, String message)` Constructor with error message
    `PropertyAccessException(Property<?> property, String message, Throwable cause)` Constructor with error message and nested exception
    `PropertyAccessException(Property<?> property, Throwable cause)` Constructor with nested exception

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Property<?>>` | `getProperty()` Get the property to which exception is related

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyAccessException

          public PropertyAccessException(Property<?> property)

      Default constructor
      Parameters:
        `property` - Property to which exception is related

    - #### PropertyAccessException

          public PropertyAccessException(Property<?> property,
                                         String message)

      Constructor with error message
      Parameters:
        `property` - Property to which exception is related
        `message` - Error message

    - #### PropertyAccessException

          public PropertyAccessException(Property<?> property,
                                         Throwable cause)

      Constructor with nested exception
      Parameters:
        `property` - Property to which exception is related
        `cause` - Nested exception

    - #### PropertyAccessException

          public PropertyAccessException(Property<?> property,
                                         String message,
                                         Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `property` - Property to which exception is related
        `message` - Error message
        `cause` - Nested exception

  - ### Method Detail

    - #### getProperty

          public Optional<Property<?>> getProperty()

      Get the property to which exception is related
      Returns:
        Optional property

Copyright © 2017 The Holon Platform. All rights reserved.